Skip to main content
`Ctrl`+`K`

# DMPlexInterpolate

Take in a cell-vertex mesh and return one with all intermediate faces, edges, etc.

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexInterpolate(DM dm, DM *dmInt)

Collective

## Input Parameter

- dm - The `DMPLEX` object with only cells and vertices

## Output Parameter

- dmInt - The complete `DMPLEX` object

## Note

Labels and coordinates are copied.

## Developer Notes

It sets plex->interpolated = `DMPLEX_INTERPOLATED_FULL`.

## See Also

`DMPLEX`, `DMPlexUninterpolate()`, `DMPlexCreateFromCellListPetsc()`, `DMPlexCopyCoordinates()`

## Level

intermediate

## Location

src/dm/impls/plex/plexinterpolate.c

## Examples

src/dm/impls/plex/tutorials/ex3f90.F90

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages